Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5099)
@@ -73,5 +73,5 @@
 !  This quasi-triangular localization function ponderates alpha-law from one near
 !  the tropopause to zero each side apart.
-!
+
 ! * The following fields are on the global "dynamics" grid, as read from files:
   REAL,    SAVE, ALLOCATABLE :: v1 (:,:,:,:)       !--- Current  time ozone fields
@@ -107,13 +107,13 @@
 
 !-------------------------------------------------------------------------------
-!
+
 SUBROUTINE regr_pr_time_av(fID, nam, julien, Ploc, Pre_in, Pre_ou, v3, Pgnd_ou,&
                                              time_in, lon_in, lat_in, Ptrp_ou)
-!
+
 !-------------------------------------------------------------------------------
   USE dimphy,         ONLY: klon
   USE netcdf95,       ONLY: NF95_INQ_VARID, NF95_INQUIRE_VARIABLE, &
                             NF95_INQ_DIMID, NF95_INQUIRE_DIMENSION, nf95_get_var
-  USE netcdf,         ONLY: NF90_INQ_VARID, NF90_NOERR
+  USE netcdf,         ONLY: NF90_INQ_VARID, nf90_noerr
   USE assert_m,       ONLY: assert
   USE assert_eq_m,    ONLY: assert_eq
@@ -210,7 +210,7 @@
     !=== CHECK WHICH FIELDS ARE AVAILABLE IN THE INPUT FILE
     IF(lfirst) THEN
-      lPrSfile=lAdjTro.AND.NF90_INQ_VARID(fID,"ps"                     ,vID)==NF90_NOERR
-      lPrTfile=lAdjTro.AND.NF90_INQ_VARID(fID,"tropopause_air_pressure",vID)==NF90_NOERR
-      lO3Tfile=lAdjTro.AND.NF90_INQ_VARID(fID,"tro3_at_tropopause"     ,vID)==NF90_NOERR
+      lPrSfile=lAdjTro.AND.NF90_INQ_VARID(fID,"ps"                     ,vID)==nf90_noerr
+      lPrTfile=lAdjTro.AND.NF90_INQ_VARID(fID,"tropopause_air_pressure",vID)==nf90_noerr
+      lO3Tfile=lAdjTro.AND.NF90_INQ_VARID(fID,"tro3_at_tropopause"     ,vID)==nf90_noerr
       CALL NF95_INQ_DIMID(fID,"time",vID)
       CALL NF95_INQUIRE_DIMENSION(fID,vID,nclen=ntim_in)
@@ -409,7 +409,7 @@
 
 !-------------------------------------------------------------------------------
-!
+
 SUBROUTINE update_fields()
-!
+
 !-------------------------------------------------------------------------------
   IF(.NOT.linterp) THEN                 !=== DAILY FILES: NO TIME INTERPOLATION
@@ -463,12 +463,12 @@
 
 END SUBROUTINE update_fields
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE get_2Dfield(v,var)
-!
+
 !-------------------------------------------------------------------------------
 ! Purpose: Shortcut to get the "irec"th record of the surface field named "var"
@@ -494,12 +494,12 @@
 
 END SUBROUTINE get_2Dfield
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE get_3Dfields(v)
-!
+
 !-------------------------------------------------------------------------------
 ! Purpose: Shortcut to get the "irec"th record of the 3D fields named "nam"
@@ -526,13 +526,13 @@
 
 END SUBROUTINE get_3Dfields
-!
-!-------------------------------------------------------------------------------
-
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+
+!-------------------------------------------------------------------------------
+
 FUNCTION get_SigTrop(ih,it) RESULT(out)
-!
+
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -551,12 +551,12 @@
 
 END FUNCTION get_SigTrop
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 FUNCTION PTrop_chem(ih,it,it0,pres,o3,o3trop) RESULT(out)
-!
+
 !-------------------------------------------------------------------------------
 ! Purpose: Determine the tropopause using chemical criterium, ie the pressure
@@ -603,12 +603,12 @@
 
 END FUNCTION PTrop_chem
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 FUNCTION check_ozone(o3col, lon, lat, ilev0, layer, vmin, vmax) RESULT(out)
-!
+
 !-------------------------------------------------------------------------------
   IMPLICIT NONE
@@ -654,12 +654,12 @@
 
 END FUNCTION check_ozone
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE unitc(val,unt,fac)
-!
+
 !-------------------------------------------------------------------------------
   IMPLICIT NONE
@@ -681,12 +681,12 @@
 
 END SUBROUTINE unitc
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
+
+!-------------------------------------------------------------------------------
+
 SUBROUTINE msg(ll,str,sub)
-!
+
 !-------------------------------------------------------------------------------
   USE print_control_mod, ONLY: lunout
@@ -706,9 +706,9 @@
 
 END SUBROUTINE msg
-!
+
 !-------------------------------------------------------------------------------
 
 END SUBROUTINE regr_pr_time_av
-!
+
 !-------------------------------------------------------------------------------
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/screenc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/screenc_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/screenc_mod.F90	(revision 5099)
@@ -1,17 +1,17 @@
-!
+
 MODULE screenc_mod
-!
+
 ! This module contains some procedures for calculation of the correction
 ! of temperature, specific humidity and wind at a reference level
-!
+
   USE cdrag_mod
   IMPLICIT NONE
 
 CONTAINS
-!
+
 !****************************************************************************************
-!
+
 !r original routine svn3623
-!
+
       SUBROUTINE screenc(klon, knon, nsrf, zxli, &
                          speed, temp, q_zref, zref, &
@@ -21,15 +21,15 @@
       IMPLICIT NONE
 !-----------------------------------------------------------------------
-! 
+
 ! Objet : calcul "correcteur" des anomalies du vent, de la temperature 
 !         potentielle et de l'humidite relative au niveau de reference zref et 
 !         par rapport au 1er niveau (pour u) ou a la surface (pour theta et q) 
 !         a partir des equations de Louis.
-!
+
 ! Reference : Hess, Colman et McAvaney (1995)
-!
+
 ! I. Musat, 01.07.2002
 !-----------------------------------------------------------------------
-!
+
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
@@ -50,10 +50,10 @@
 !                  et zref par rapport au Ri entre la sfce et la 1ere couche
 ! ri1-----input-R- nb. Richardson entre la surface et la 1ere couche 
-!
+
 ! pref----input-R- pression au niveau de reference
 ! delu----input-R- anomalie du vent par rapport au 1er niveau
 ! delte---input-R- anomalie de la temperature potentielle par rapport a la surface
 ! delq----input-R- anomalie de l'humidite relative par rapport a la surface
-!
+
       INTEGER, intent(in) :: klon, knon, nsrf
       LOGICAL, intent(in) :: zxli, okri 
@@ -69,21 +69,21 @@
       REAL, dimension(klon), intent(in) :: tsol    
       REAL, DIMENSION(klon), INTENT(IN)    :: pat1 !pression premier lev      
-!
+
       REAL, dimension(klon), intent(out) :: pref, delu, delte, delq 
 !-----------------------------------------------------------------------
       include "YOMCST.h"
       include "flux_arp.h"
-!
+
 ! Variables locales  
       INTEGER :: i 
       REAL, dimension(klon) :: cdram, cdrah, cdran, zri1, gref,ycdragm,zri_zero
-!
+
 !------------------------------------------------------------------------- 
       DO i=1, knon
         gref(i) = zref*RG
       ENDDO 
-!
+
 ! Richardson at reference level 
-!
+
 !      CALL coefcdrag (klon, knon, nsrf, zxli, &
 !                    speed, temp, q_zref, gref, &
@@ -112,8 +112,8 @@
                   cdrah(i)
       ENDDO 
-!
+
       RETURN 
       END SUBROUTINE screenc
-!
+
       SUBROUTINE screencn(klon, knon, nsrf, zxli, &
                          speed, temp, q_zref, zref, &
@@ -124,15 +124,15 @@
       IMPLICIT NONE
 !-----------------------------------------------------------------------
-! 
+
 ! Objet : calcul "correcteur" des anomalies du vent, de la temperature 
 !         potentielle et de l'humidite relative au niveau de reference zref et 
 !         par rapport au 1er niveau (pour u) ou a la surface (pour theta et q) 
 !         a partir des equations de Louis.
-!
+
 ! Reference : Hess, Colman et McAvaney (1995)
-!
+
 ! I. Musat, 01.07.2002
 !-----------------------------------------------------------------------
-!
+
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
@@ -153,10 +153,10 @@
 !                  et zref par rapport au Ri entre la sfce et la 1ere couche
 ! ri1-----input-R- nb. Richardson entre la surface et la 1ere couche 
-!
+
 ! pref----input-R- pression au niveau de reference
 ! delu----input-R- anomalie du vent par rapport au 1er niveau
 ! delte---input-R- anomalie de la temperature potentielle par rapport a la surface
 ! delq----input-R- anomalie de l'humidite relative par rapport a la surface
-!
+
       INTEGER, intent(in) :: klon, knon, nsrf
       LOGICAL, intent(in) :: zxli, okri 
@@ -171,5 +171,5 @@
       REAL, DIMENSION(klon), INTENT(IN) :: pat1 !pression premier lev      
       INTEGER, INTENT(IN)  :: iri1 ! Richardson de la 1ere couche
-!
+
       REAL, dimension(klon), intent(out) :: pref, delm, delh, zri1
 !171220     REAL, dimension(klon) :: cdram, cdrah, zri1 
@@ -178,16 +178,16 @@
       include "YOMCST.h"
       include "flux_arp.h"
-!
+
 ! Variables locales  
       INTEGER :: i 
       REAL, dimension(klon) :: cdran, gref,ycdragm
-!
+
 !------------------------------------------------------------------------- 
       DO i=1, knon
         gref(i) = zref*RG
       ENDDO 
-!
+
 ! Richardson at reference level 
-!
+
       CALL cdrag(knon, nsrf, &
                     speed, temp, q_zref, gref, &
@@ -201,5 +201,5 @@
                    (cdrah(i)*sqrt(cdrm(i)))
       ENDDO 
-!
+
       RETURN 
       END SUBROUTINE screencn
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/screenp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/screenp_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/screenp_mod.F90	(revision 5099)
@@ -1,17 +1,17 @@
-!
+
 MODULE screenp_mod
-!
+
 ! This module contains some procedures for calculation of the first
 ! guess of temperature, specific humidity and wind at a reference level
 ! coefficients for turbulent diffusion at surface
-!
+
   IMPLICIT NONE
 
 CONTAINS
-!
+
 !****************************************************************************************
-!
+
 !r original routine
-!
+
       SUBROUTINE screenp(klon, knon, nsrf, &
                      speed, tair, qair, &
@@ -21,15 +21,15 @@
       IMPLICIT none
 !-------------------------------------------------------------------------
-!
+
 ! Objet : calcul "predicteur" des anomalies du vent, de la temperature 
 !         potentielle et de l'humidite relative au niveau de reference zref et 
 !         par rapport au 1er niveau (pour u) ou a la surface (pour theta et q) 
 !         a partir des relations de Dyer-Businger.
-!
+
 ! Reference : Hess, Colman et McAvaney (1995)
-!
+
 ! I. Musat, 01.07.2002
 !-------------------------------------------------------------------------
-!
+
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
@@ -46,9 +46,9 @@
 ! qstar---input-R- facteur d'echelle pour l'humidite relative
 ! zref----input-R- altitude de reference
-!
+
 ! delu----input-R- anomalie du vent par rapport au 1er niveau
 ! delte---input-R- anomalie de la temperature potentielle par rapport a la surface
 ! delq----input-R- anomalie de l'humidite relative par rapport a la surface
-!
+
       INTEGER, intent(in) :: klon, knon, nsrf
       REAL, dimension(klon), intent(in) :: speed, tair, qair
@@ -57,7 +57,7 @@
       REAL, dimension(klon), intent(in) :: ustar, testar, qstar
       REAL, intent(in) :: zref
-!
+
       REAL, dimension(klon), intent(out) :: delu, delte, delq
-!
+
 !-------------------------------------------------------------------------
 ! Variables locales et constantes :
@@ -67,9 +67,9 @@
 !-------------------------------------------------------------------------
       DO i = 1, knon
-!
+
         IF (lmon(i)>=0.) THEN
-!
+
 ! STABLE CASE
-!
+
           IF (speed(i)>1.5.AND.lmon(i)<=1.0                        &
                         .AND. rugos(i)<=1.0) THEN
@@ -89,7 +89,7 @@
           ENDIF
         ELSE  
-!
+
 ! UNSTABLE CASE
-!
+
           IF (speed(i)>5.0.AND.abs(lmon(i))<=50.0) THEN
             xtmp = (1. - 16. * (zref/lmon(i)))**(1./4.)
@@ -116,9 +116,9 @@
           ENDIF
         ENDIF
-!
+
       ENDDO
       RETURN
       END SUBROUTINE screenp
-!
+
       SUBROUTINE screenpn(klon, knon, nsrf, &
                      speed, tair, qair, &
@@ -128,15 +128,15 @@
       IMPLICIT none
 !-------------------------------------------------------------------------
-!
+
 ! Objet : calcul "predicteur" des anomalies du vent, de la temperature 
 !         potentielle et de l'humidite relative au niveau de reference zref et 
 !         par rapport au 1er niveau (pour u) ou a la surface (pour theta et q) 
 !         a partir des relations de Dyer-Businger.
-!
+
 ! Reference : Hess, Colman et McAvaney (1995)
-!
+
 ! I. Musat, 01.07.2002
 !-------------------------------------------------------------------------
-!
+
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
@@ -149,9 +149,9 @@
 ! rugos---input-R- rugosite
 ! zref----input-R- altitude de reference
-!
+
 ! delu----input-R- anomalie du vent par rapport au 1er niveau
 ! delte---input-R- anomalie de la temperature potentielle par rapport a la surface
 ! delq----input-R- anomalie de l'humidite relative par rapport a la surface
-!
+
       INTEGER, intent(in) :: klon, knon, nsrf
       REAL, dimension(klon), intent(in) :: speed, tair, qair
@@ -159,7 +159,7 @@
       REAL, dimension(klon), intent(in) :: zri1
       REAL, intent(in) :: zref
-!
+
       REAL, dimension(klon), intent(out) :: delu, delte, delq
-!
+
 !-------------------------------------------------------------------------
 ! Variables locales et constantes :
@@ -169,5 +169,5 @@
 !-------------------------------------------------------------------------
       DO i = 1, knon
-!
+
        IF (zri1(i)>=0.) THEN
           delu(i)  = 0.1 * speed(i)
@@ -179,5 +179,5 @@
           delq(i)  = 0.5 * (max(qair(i),0.0) - max(qsurf(i),0.0))
        ENDIF
-!
+
       ENDDO
       RETURN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 MODULE slab_heat_transp_mod
-!
+
 ! Slab ocean : temperature tendencies due to horizontal diffusion 
 ! and / or Ekman transport
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/soil.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/soil.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/soil.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 SUBROUTINE soil(ptimestep, indice, knon, snow, ptsrf, qsol, &
      lon, lat, ptsoil, pcapcal, pfluxgrd)
@@ -13,17 +13,17 @@
 
 !=======================================================================
-!
+
 !   Auteur:  Frederic Hourdin     30/01/92
 !   -------
-!
+
 !   Object:  Computation of : the soil temperature evolution
 !   -------                   the surfacic heat capacity "Capcal"
 !                            the surface conduction flux pcapcal
-!
+
 !   Update: 2021/07 : soil thermal inertia, formerly a constant value,
 !   ------   can also be now a function of soil moisture (F Cheruy's idea)
 !            depending on iflag_inertie, read from physiq.def via conf_phys_m.F90
 !            ("Stage L3" Eve Rebouillat, with E Vignon, A Sima, F Cheruy)
-!
+
 !   Method: Implicit time integration
 !   -------
@@ -42,8 +42,8 @@
 !             with F0 = A + B (Ts(t))
 !                 Capcal = B*dt
-!           
+
 !   Interface:
 !   ----------
-!
+
 !   Arguments:
 !   ----------
@@ -58,5 +58,5 @@
 !   pcapcal(klon)        surfacic specific heat (W*m-2*s*K-1)
 !   pfluxgrd(klon)       surface diffusive flux from ground (Wm-2)
-!   
+
 !=======================================================================
   INCLUDE "YOMCST.h"
@@ -165,5 +165,5 @@
 !   ou le point de mer devienne point de glace au pas suivant
 !   on corrige si on a un point de terre avec ou sans glace
-!
+
 !   iophys can be used to write the ztherm_i variable in a phys.nc file
 !   and check the results; to do so, add "CALL iophys_ini" in physiq_mod
@@ -192,8 +192,8 @@
 !      knon, knindex, ztherm_i)
   ELSE IF (indice == is_ter) THEN
-     ! 
+
      ! La relation entre l'inertie thermique du sol et qsol change d'apres 
      !   iflag_inertie, defini dans physiq.def, et appele via comsoil.h
-     ! 
+
      DO ig = 1, knon
         ! iflag_inertie=0 correspond au cas inertie=constant, comme avant
@@ -233,5 +233,5 @@
           WRITE (lunout,*) "Le choix iflag_inertie = ",iflag_inertie," n'est pas defini. Veuillez choisir un entier entre 0 et 3" 
         ENDIF
-     !
+
      ! Fin de l'introduction de la relation entre l'inertie thermique du sol et qsol
      !-------------------------------------------
@@ -260,5 +260,5 @@
 ! Calculation of Cgrf and Dgrd coefficients using soil temperature from 
 ! previous time step.
-!
+
 ! These variables are recalculated on the local compressed grid instead 
 ! of saved in restart file.
@@ -289,5 +289,5 @@
 ! Computation of the soil temperatures using the Cgrd and Dgrd
 ! coefficient computed above
-!
+
 !-----------------------------------------------------------------------
 
